Subject: bug#54488: 29.0.50; move-to-column/overlay-related regression in latest master, perhaps 28?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Mar 2022 14:16:29 +0200

> From: João Távora <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Tue, 22 Mar 2022 09:48:06 +0000
> 
> Dmitry Gutov <[email-masked]> writes:
> 
> > On 21.03.2022 23:59, João Távora wrote:
> >> So maybe Dmitry has some valuable insight as to how exactly company
> >> constructs its overlay or overlays.
> >
> > You can try putting a multiline string on the 'display property.
> >
> > Instead of just "BAR".
> 
> I tried that, but I don't know how to align it like company does.
> 
> > Apart from that, I can only suggest reading the code and
> > experimenting.
> 
> I admit I was hoping that you as company maintainer/specialist :-) could
> provide a small snippet to create a dummy but company-realistic overlay
> of, say, two completion "foo" and "bar" in the middle of any buffer.  Or
> perhaps explain in layman's terms how company constructs its overlays.
> 
> Not asking that you get to the root of the move-to-column problem, which
> is clearly a regression (presumably a regression to correct behaviour,
> but a regression nonetheless) just help perhaps come up with a simpler
> repro to assist Eli in seeing the issue.

Thank you for your efforts.  I will take a look at this issue when I
have time, hopefully soon enough.